Search
lxdream.org :: lxdream/configure :: diff
lxdream 0.9.1
released Jun 29
Download Now
filename configure
changeset 977:8514fb4bc101
prev966:0f0320cb3650
next984:a01567058a47
author nkeynes
date Mon Feb 02 01:40:13 2009 +0000 (11 years ago)
permissions -rw-r--r--
last change Fix Objective-C checking to be a little more circumspec (to whit, not aborting if no
OBJC compiler is found) - slightly tricky becuase AC_CHECK_HEADER was requiring
preprocessor checks, which ran before we checked if there was in fact an OBJC compiler
in the first place... Fix there was to change the AC_CHECK_HEADER invocation to use the
new (compiler-only) style.
file annotate diff log raw
1.1 --- a/configure Thu Jan 15 11:16:48 2009 +0000
1.2 +++ b/configure Mon Feb 02 01:40:13 2009 +0000
1.3 @@ -734,7 +734,6 @@
1.4 am__fastdepOBJC_FALSE
1.5 POD2MAN
1.6 POD2HTML
1.7 -OBJCPP
1.8 GUI_COCOA_TRUE
1.9 GUI_COCOA_FALSE
1.10 PKG_CONFIG
1.11 @@ -835,7 +834,6 @@
1.12 CCAS
1.13 CCASFLAGS
1.14 CPP
1.15 -OBJCPP
1.16 PKG_CONFIG
1.17 LIBPNG_CFLAGS
1.18 LIBPNG_LIBS
1.19 @@ -1514,7 +1512,6 @@
1.20 CCAS assembler compiler command (defaults to CC)
1.21 CCASFLAGS assembler compiler flags (defaults to CFLAGS)
1.22 CPP C preprocessor
1.23 - OBJCPP Objective C preprocessor
1.24 PKG_CONFIG path to pkg-config utility
1.25 LIBPNG_CFLAGS
1.26 C compiler flags for LIBPNG, overriding pkg-config
1.27 @@ -7214,6 +7211,551 @@
1.28 fi
1.29
1.30
1.31 +
1.32 +
1.33 +
1.34 +ac_ext=m
1.35 +ac_cpp='$OBJCPP $CPPFLAGS'
1.36 +ac_compile='$OBJC -c $OBJCFLAGS $CPPFLAGS conftest.$ac_ext >&5'
1.37 +ac_link='$OBJC -o conftest$ac_exeext $OBJCFLAGS $CPPFLAGS $LDFLAGS conftest.$ac_ext $LIBS >&5'
1.38 +ac_compiler_gnu=$ac_cv_objc_compiler_gnu
1.39 +if test -n "$ac_tool_prefix"; then
1.40 + for ac_prog in gcc objcc objc cc CC
1.41 + do
1.42 + # Extract the first word of "$ac_tool_prefix$ac_prog", so it can be a program name with args.
1.43 +set dummy $ac_tool_prefix$ac_prog; ac_word=$2
1.44 +{ $as_echo "$as_me:$LINENO: checking for $ac_word" >&5
1.45 +$as_echo_n "checking for $ac_word... " >&6; }
1.46 +if test "${ac_cv_prog_OBJC+set}" = set; then
1.47 + $as_echo_n "(cached) " >&6
1.48 +else
1.49 + if test -n "$OBJC"; then
1.50 + ac_cv_prog_OBJC="$OBJC" # Let the user override the test.
1.51 +else
1.52 +as_save_IFS=$IFS; IFS=$PATH_SEPARATOR
1.53 +for as_dir in $PATH
1.54 +do
1.55 + IFS=$as_save_IFS
1.56 + test -z "$as_dir" && as_dir=.
1.57 + for ac_exec_ext in '' $ac_executable_extensions; do
1.58 + if { test -f "$as_dir/$ac_word$ac_exec_ext" && $as_test_x "$as_dir/$ac_word$ac_exec_ext"; }; then
1.59 + ac_cv_prog_OBJC="$ac_tool_prefix$ac_prog"
1.60 + $as_echo "$as_me:$LINENO: found $as_dir/$ac_word$ac_exec_ext" >&5
1.61 + break 2
1.62 + fi
1.63 +done
1.64 +done
1.65 +IFS=$as_save_IFS
1.66 +
1.67 +fi
1.68 +fi
1.69 +OBJC=$ac_cv_prog_OBJC
1.70 +if test -n "$OBJC"; then
1.71 + { $as_echo "$as_me:$LINENO: result: $OBJC" >&5
1.72 +$as_echo "$OBJC" >&6; }
1.73 +else
1.74 + { $as_echo "$as_me:$LINENO: result: no" >&5
1.75 +$as_echo "no" >&6; }
1.76 +fi
1.77 +
1.78 +
1.79 + test -n "$OBJC" && break
1.80 + done
1.81 +fi
1.82 +if test -z "$OBJC"; then
1.83 + ac_ct_OBJC=$OBJC
1.84 + for ac_prog in gcc objcc objc cc CC
1.85 +do
1.86 + # Extract the first word of "$ac_prog", so it can be a program name with args.
1.87 +set dummy $ac_prog; ac_word=$2
1.88 +{ $as_echo "$as_me:$LINENO: checking for $ac_word" >&5
1.89 +$as_echo_n "checking for $ac_word... " >&6; }
1.90 +if test "${ac_cv_prog_ac_ct_OBJC+set}" = set; then
1.91 + $as_echo_n "(cached) " >&6
1.92 +else
1.93 + if test -n "$ac_ct_OBJC"; then
1.94 + ac_cv_prog_ac_ct_OBJC="$ac_ct_OBJC" # Let the user override the test.
1.95 +else
1.96 +as_save_IFS=$IFS; IFS=$PATH_SEPARATOR
1.97 +for as_dir in $PATH
1.98 +do
1.99 + IFS=$as_save_IFS
1.100 + test -z "$as_dir" && as_dir=.
1.101 + for ac_exec_ext in '' $ac_executable_extensions; do
1.102 + if { test -f "$as_dir/$ac_word$ac_exec_ext" && $as_test_x "$as_dir/$ac_word$ac_exec_ext"; }; then
1.103 + ac_cv_prog_ac_ct_OBJC="$ac_prog"
1.104 + $as_echo "$as_me:$LINENO: found $as_dir/$ac_word$ac_exec_ext" >&5
1.105 + break 2
1.106 + fi
1.107 +done
1.108 +done
1.109 +IFS=$as_save_IFS
1.110 +
1.111 +fi
1.112 +fi
1.113 +ac_ct_OBJC=$ac_cv_prog_ac_ct_OBJC
1.114 +if test -n "$ac_ct_OBJC"; then
1.115 + { $as_echo "$as_me:$LINENO: result: $ac_ct_OBJC" >&5
1.116 +$as_echo "$ac_ct_OBJC" >&6; }
1.117 +else
1.118 + { $as_echo "$as_me:$LINENO: result: no" >&5
1.119 +$as_echo "no" >&6; }
1.120 +fi
1.121 +
1.122 +
1.123 + test -n "$ac_ct_OBJC" && break
1.124 +done
1.125 +
1.126 + if test "x$ac_ct_OBJC" = x; then
1.127 + OBJC="gcc"
1.128 + else
1.129 + case $cross_compiling:$ac_tool_warned in
1.130 +yes:)
1.131 +{ $as_echo "$as_me:$LINENO: WARNING: In the future, Autoconf will not detect cross-tools
1.132 +whose name does not start with the host triplet. If you think this
1.133 +configuration is useful to you, please write to autoconf@gnu.org." >&5
1.134 +$as_echo "$as_me: WARNING: In the future, Autoconf will not detect cross-tools
1.135 +whose name does not start with the host triplet. If you think this
1.136 +configuration is useful to you, please write to autoconf@gnu.org." >&2;}
1.137 +ac_tool_warned=yes ;;
1.138 +esac
1.139 + OBJC=$ac_ct_OBJC
1.140 + fi
1.141 +fi
1.142 +
1.143 +# Provide some information about the compiler.
1.144 +$as_echo "$as_me:$LINENO: checking for Objective C compiler version" >&5
1.145 +set X $ac_compile
1.146 +ac_compiler=$2
1.147 +{ (ac_try="$ac_compiler --version >&5"
1.148 +case "(($ac_try" in
1.149 + *\"* | *\`* | *\\*) ac_try_echo=\$ac_try;;
1.150 + *) ac_try_echo=$ac_try;;
1.151 +esac
1.152 +eval ac_try_echo="\"\$as_me:$LINENO: $ac_try_echo\""
1.153 +$as_echo "$ac_try_echo") >&5
1.154 + (eval "$ac_compiler --version >&5") 2>&5
1.155 + ac_status=$?
1.156 + $as_echo "$as_me:$LINENO: \$? = $ac_status" >&5
1.157 + (exit $ac_status); }
1.158 +{ (ac_try="$ac_compiler -v >&5"
1.159 +case "(($ac_try" in
1.160 + *\"* | *\`* | *\\*) ac_try_echo=\$ac_try;;
1.161 + *) ac_try_echo=$ac_try;;
1.162 +esac
1.163 +eval ac_try_echo="\"\$as_me:$LINENO: $ac_try_echo\""
1.164 +$as_echo "$ac_try_echo") >&5
1.165 + (eval "$ac_compiler -v >&5") 2>&5
1.166 + ac_status=$?
1.167 + $as_echo "$as_me:$LINENO: \$? = $ac_status" >&5
1.168 + (exit $ac_status); }
1.169 +{ (ac_try="$ac_compiler -V >&5"
1.170 +case "(($ac_try" in
1.171 + *\"* | *\`* | *\\*) ac_try_echo=\$ac_try;;
1.172 + *) ac_try_echo=$ac_try;;
1.173 +esac
1.174 +eval ac_try_echo="\"\$as_me:$LINENO: $ac_try_echo\""
1.175 +$as_echo "$ac_try_echo") >&5
1.176 + (eval "$ac_compiler -V >&5") 2>&5
1.177 + ac_status=$?
1.178 + $as_echo "$as_me:$LINENO: \$? = $ac_status" >&5
1.179 + (exit $ac_status); }
1.180 +
1.181 +{ $as_echo "$as_me:$LINENO: checking whether we are using the GNU Objective C compiler" >&5
1.182 +$as_echo_n "checking whether we are using the GNU Objective C compiler... " >&6; }
1.183 +if test "${ac_cv_objc_compiler_gnu+set}" = set; then
1.184 + $as_echo_n "(cached) " >&6
1.185 +else
1.186 + cat >conftest.$ac_ext <<_ACEOF
1.187 +/* confdefs.h. */
1.188 +_ACEOF
1.189 +cat confdefs.h >>conftest.$ac_ext
1.190 +cat >>conftest.$ac_ext <<_ACEOF
1.191 +/* end confdefs.h. */
1.192 +
1.193 +int
1.194 +main ()
1.195 +{
1.196 +#ifndef __GNUC__
1.197 + choke me
1.198 +#endif
1.199 +
1.200 + ;
1.201 + return 0;
1.202 +}
1.203 +_ACEOF
1.204 +rm -f conftest.$ac_objext
1.205 +if { (ac_try="$ac_compile"
1.206 +case "(($ac_try" in
1.207 + *\"* | *\`* | *\\*) ac_try_echo=\$ac_try;;
1.208 + *) ac_try_echo=$ac_try;;
1.209 +esac
1.210 +eval ac_try_echo="\"\$as_me:$LINENO: $ac_try_echo\""
1.211 +$as_echo "$ac_try_echo") >&5
1.212 + (eval "$ac_compile") 2>conftest.er1
1.213 + ac_status=$?
1.214 + grep -v '^ *+' conftest.er1 >conftest.err
1.215 + rm -f conftest.er1
1.216 + cat conftest.err >&5
1.217 + $as_echo "$as_me:$LINENO: \$? = $ac_status" >&5
1.218 + (exit $ac_status); } && {
1.219 + test -z "$ac_objc_werror_flag" ||
1.220 + test ! -s conftest.err
1.221 + } && test -s conftest.$ac_objext; then
1.222 + ac_compiler_gnu=yes
1.223 +else
1.224 + $as_echo "$as_me: failed program was:" >&5
1.225 +sed 's/^/| /' conftest.$ac_ext >&5
1.226 +
1.227 + ac_compiler_gnu=no
1.228 +fi
1.229 +
1.230 +rm -f core conftest.err conftest.$ac_objext conftest.$ac_ext
1.231 +ac_cv_objc_compiler_gnu=$ac_compiler_gnu
1.232 +
1.233 +fi
1.234 +{ $as_echo "$as_me:$LINENO: result: $ac_cv_objc_compiler_gnu" >&5
1.235 +$as_echo "$ac_cv_objc_compiler_gnu" >&6; }
1.236 +if test $ac_compiler_gnu = yes; then
1.237 + GOBJC=yes
1.238 +else
1.239 + GOBJC=
1.240 +fi
1.241 +ac_test_OBJCFLAGS=${OBJCFLAGS+set}
1.242 +ac_save_OBJCFLAGS=$OBJCFLAGS
1.243 +{ $as_echo "$as_me:$LINENO: checking whether $OBJC accepts -g" >&5
1.244 +$as_echo_n "checking whether $OBJC accepts -g... " >&6; }
1.245 +if test "${ac_cv_prog_objc_g+set}" = set; then
1.246 + $as_echo_n "(cached) " >&6
1.247 +else
1.248 + ac_save_objc_werror_flag=$ac_objc_werror_flag
1.249 + ac_objc_werror_flag=yes
1.250 + ac_cv_prog_objc_g=no
1.251 + OBJCFLAGS="-g"
1.252 + cat >conftest.$ac_ext <<_ACEOF
1.253 +/* confdefs.h. */
1.254 +_ACEOF
1.255 +cat confdefs.h >>conftest.$ac_ext
1.256 +cat >>conftest.$ac_ext <<_ACEOF
1.257 +/* end confdefs.h. */
1.258 +
1.259 +int
1.260 +main ()
1.261 +{
1.262 +
1.263 + ;
1.264 + return 0;
1.265 +}
1.266 +_ACEOF
1.267 +rm -f conftest.$ac_objext
1.268 +if { (ac_try="$ac_compile"
1.269 +case "(($ac_try" in
1.270 + *\"* | *\`* | *\\*) ac_try_echo=\$ac_try;;
1.271 + *) ac_try_echo=$ac_try;;
1.272 +esac
1.273 +eval ac_try_echo="\"\$as_me:$LINENO: $ac_try_echo\""
1.274 +$as_echo "$ac_try_echo") >&5
1.275 + (eval "$ac_compile") 2>conftest.er1
1.276 + ac_status=$?
1.277 + grep -v '^ *+' conftest.er1 >conftest.err
1.278 + rm -f conftest.er1
1.279 + cat conftest.err >&5
1.280 + $as_echo "$as_me:$LINENO: \$? = $ac_status" >&5
1.281 + (exit $ac_status); } && {
1.282 + test -z "$ac_objc_werror_flag" ||
1.283 + test ! -s conftest.err
1.284 + } && test -s conftest.$ac_objext; then
1.285 + ac_cv_prog_objc_g=yes
1.286 +else
1.287 + $as_echo "$as_me: failed program was:" >&5
1.288 +sed 's/^/| /' conftest.$ac_ext >&5
1.289 +
1.290 + OBJCFLAGS=""
1.291 + cat >conftest.$ac_ext <<_ACEOF
1.292 +/* confdefs.h. */
1.293 +_ACEOF
1.294 +cat confdefs.h >>conftest.$ac_ext
1.295 +cat >>conftest.$ac_ext <<_ACEOF
1.296 +/* end confdefs.h. */
1.297 +
1.298 +int
1.299 +main ()
1.300 +{
1.301 +
1.302 + ;
1.303 + return 0;
1.304 +}
1.305 +_ACEOF
1.306 +rm -f conftest.$ac_objext
1.307 +if { (ac_try="$ac_compile"
1.308 +case "(($ac_try" in
1.309 + *\"* | *\`* | *\\*) ac_try_echo=\$ac_try;;
1.310 + *) ac_try_echo=$ac_try;;
1.311 +esac
1.312 +eval ac_try_echo="\"\$as_me:$LINENO: $ac_try_echo\""
1.313 +$as_echo "$ac_try_echo") >&5
1.314 + (eval "$ac_compile") 2>conftest.er1
1.315 + ac_status=$?
1.316 + grep -v '^ *+' conftest.er1 >conftest.err
1.317 + rm -f conftest.er1
1.318 + cat conftest.err >&5
1.319 + $as_echo "$as_me:$LINENO: \$? = $ac_status" >&5
1.320 + (exit $ac_status); } && {
1.321 + test -z "$ac_objc_werror_flag" ||
1.322 + test ! -s conftest.err
1.323 + } && test -s conftest.$ac_objext; then
1.324 + :
1.325 +else
1.326 + $as_echo "$as_me: failed program was:" >&5
1.327 +sed 's/^/| /' conftest.$ac_ext >&5
1.328 +
1.329 + ac_objc_werror_flag=$ac_save_objc_werror_flag
1.330 + OBJCFLAGS="-g"
1.331 + cat >conftest.$ac_ext <<_ACEOF
1.332 +/* confdefs.h. */
1.333 +_ACEOF
1.334 +cat confdefs.h >>conftest.$ac_ext
1.335 +cat >>conftest.$ac_ext <<_ACEOF
1.336 +/* end confdefs.h. */
1.337 +
1.338 +int
1.339 +main ()
1.340 +{
1.341 +
1.342 + ;
1.343 + return 0;
1.344 +}
1.345 +_ACEOF
1.346 +rm -f conftest.$ac_objext
1.347 +if { (ac_try="$ac_compile"
1.348 +case "(($ac_try" in
1.349 + *\"* | *\`* | *\\*) ac_try_echo=\$ac_try;;
1.350 + *) ac_try_echo=$ac_try;;
1.351 +esac
1.352 +eval ac_try_echo="\"\$as_me:$LINENO: $ac_try_echo\""
1.353 +$as_echo "$ac_try_echo") >&5
1.354 + (eval "$ac_compile") 2>conftest.er1
1.355 + ac_status=$?
1.356 + grep -v '^ *+' conftest.er1 >conftest.err
1.357 + rm -f conftest.er1
1.358 + cat conftest.err >&5
1.359 + $as_echo "$as_me:$LINENO: \$? = $ac_status" >&5
1.360 + (exit $ac_status); } && {
1.361 + test -z "$ac_objc_werror_flag" ||
1.362 + test ! -s conftest.err
1.363 + } && test -s conftest.$ac_objext; then
1.364 + ac_cv_prog_objc_g=yes
1.365 +else
1.366 + $as_echo "$as_me: failed program was:" >&5
1.367 +sed 's/^/| /' conftest.$ac_ext >&5
1.368 +
1.369 +
1.370 +fi
1.371 +
1.372 +rm -f core conftest.err conftest.$ac_objext conftest.$ac_ext
1.373 +fi
1.374 +
1.375 +rm -f core conftest.err conftest.$ac_objext conftest.$ac_ext
1.376 +fi
1.377 +
1.378 +rm -f core conftest.err conftest.$ac_objext conftest.$ac_ext
1.379 + ac_objc_werror_flag=$ac_save_objc_werror_flag
1.380 +fi
1.381 +{ $as_echo "$as_me:$LINENO: result: $ac_cv_prog_objc_g" >&5
1.382 +$as_echo "$ac_cv_prog_objc_g" >&6; }
1.383 +if test "$ac_test_OBJCFLAGS" = set; then
1.384 + OBJCFLAGS=$ac_save_OBJCFLAGS
1.385 +elif test $ac_cv_prog_objc_g = yes; then
1.386 + if test "$GOBJC" = yes; then
1.387 + OBJCFLAGS="-g -O2"
1.388 + else
1.389 + OBJCFLAGS="-g"
1.390 + fi
1.391 +else
1.392 + if test "$GOBJC" = yes; then
1.393 + OBJCFLAGS="-O2"
1.394 + else
1.395 + OBJCFLAGS=
1.396 + fi
1.397 +fi
1.398 +ac_ext=c
1.399 +ac_cpp='$CPP $CPPFLAGS'
1.400 +ac_compile='$CC -c $CFLAGS $CPPFLAGS conftest.$ac_ext >&5'
1.401 +ac_link='$CC -o conftest$ac_exeext $CFLAGS $CPPFLAGS $LDFLAGS conftest.$ac_ext $LIBS >&5'
1.402 +ac_compiler_gnu=$ac_cv_c_compiler_gnu
1.403 +
1.404 +{ $as_echo "$as_me:$LINENO: checking for a working Objective-C compiler" >&5
1.405 +$as_echo_n "checking for a working Objective-C compiler... " >&6; }
1.406 +ac_ext=m
1.407 +ac_cpp='$OBJCPP $CPPFLAGS'
1.408 +ac_compile='$OBJC -c $OBJCFLAGS $CPPFLAGS conftest.$ac_ext >&5'
1.409 +ac_link='$OBJC -o conftest$ac_exeext $OBJCFLAGS $CPPFLAGS $LDFLAGS conftest.$ac_ext $LIBS >&5'
1.410 +ac_compiler_gnu=$ac_cv_objc_compiler_gnu
1.411 +cat >conftest.$ac_ext <<_ACEOF
1.412 +/* confdefs.h. */
1.413 +_ACEOF
1.414 +cat confdefs.h >>conftest.$ac_ext
1.415 +cat >>conftest.$ac_ext <<_ACEOF
1.416 +/* end confdefs.h. */
1.417 +@interface Foo @end
1.418 +int
1.419 +main ()
1.420 +{
1.421 +
1.422 + ;
1.423 + return 0;
1.424 +}
1.425 +_ACEOF
1.426 +rm -f conftest.$ac_objext
1.427 +if { (ac_try="$ac_compile"
1.428 +case "(($ac_try" in
1.429 + *\"* | *\`* | *\\*) ac_try_echo=\$ac_try;;
1.430 + *) ac_try_echo=$ac_try;;
1.431 +esac
1.432 +eval ac_try_echo="\"\$as_me:$LINENO: $ac_try_echo\""
1.433 +$as_echo "$ac_try_echo") >&5
1.434 + (eval "$ac_compile") 2>conftest.er1
1.435 + ac_status=$?
1.436 + grep -v '^ *+' conftest.er1 >conftest.err
1.437 + rm -f conftest.er1
1.438 + cat conftest.err >&5
1.439 + $as_echo "$as_me:$LINENO: \$? = $ac_status" >&5
1.440 + (exit $ac_status); } && {
1.441 + test -z "$ac_objc_werror_flag" ||
1.442 + test ! -s conftest.err
1.443 + } && test -s conftest.$ac_objext; then
1.444 + { $as_echo "$as_me:$LINENO: result: yes" >&5
1.445 +$as_echo "yes" >&6; }
1.446 +
1.447 + { $as_echo "$as_me:$LINENO: checking for Cocoa/Cocoa.h" >&5
1.448 +$as_echo_n "checking for Cocoa/Cocoa.h... " >&6; }
1.449 +if test "${ac_cv_header_Cocoa_Cocoa_h+set}" = set; then
1.450 + $as_echo_n "(cached) " >&6
1.451 +else
1.452 + cat >conftest.$ac_ext <<_ACEOF
1.453 +/* confdefs.h. */
1.454 +_ACEOF
1.455 +cat confdefs.h >>conftest.$ac_ext
1.456 +cat >>conftest.$ac_ext <<_ACEOF
1.457 +/* end confdefs.h. */
1.458 +$ac_includes_default
1.459 +
1.460 +#include <Cocoa/Cocoa.h>
1.461 +_ACEOF
1.462 +rm -f conftest.$ac_objext
1.463 +if { (ac_try="$ac_compile"
1.464 +case "(($ac_try" in
1.465 + *\"* | *\`* | *\\*) ac_try_echo=\$ac_try;;
1.466 + *) ac_try_echo=$ac_try;;
1.467 +esac
1.468 +eval ac_try_echo="\"\$as_me:$LINENO: $ac_try_echo\""
1.469 +$as_echo "$ac_try_echo") >&5
1.470 + (eval "$ac_compile") 2>conftest.er1
1.471 + ac_status=$?
1.472 + grep -v '^ *+' conftest.er1 >conftest.err
1.473 + rm -f conftest.er1
1.474 + cat conftest.err >&5
1.475 + $as_echo "$as_me:$LINENO: \$? = $ac_status" >&5
1.476 + (exit $ac_status); } && {
1.477 + test -z "$ac_objc_werror_flag" ||
1.478 + test ! -s conftest.err
1.479 + } && test -s conftest.$ac_objext; then
1.480 + ac_cv_header_Cocoa_Cocoa_h=yes
1.481 +else
1.482 + $as_echo "$as_me: failed program was:" >&5
1.483 +sed 's/^/| /' conftest.$ac_ext >&5
1.484 +
1.485 + ac_cv_header_Cocoa_Cocoa_h=no
1.486 +fi
1.487 +
1.488 +rm -f core conftest.err conftest.$ac_objext conftest.$ac_ext
1.489 +fi
1.490 +{ $as_echo "$as_me:$LINENO: result: $ac_cv_header_Cocoa_Cocoa_h" >&5
1.491 +$as_echo "$ac_cv_header_Cocoa_Cocoa_h" >&6; }
1.492 +if test $ac_cv_header_Cocoa_Cocoa_h = yes; then
1.493 +
1.494 + HAVE_COCOA='yes'
1.495 + APPLE_BUILD='yes'
1.496 + LIBS="$LIBS -framework AppKit"
1.497 + LIBS="$LIBS -Wl,-dylib_file,/System/Library/Frameworks/OpenGL.framework/Versions/A/Libraries/libGL.dylib:/System/Library/Frameworks/OpenGL.framework/Versions/A/Libraries/libGL.dylib -framework OpenGL"
1.498 + CPPFLAGS="$CPPFLAGS -DMAC_OS_X_VERSION_MIN_REQUIRED=MAC_OS_X_VERSION_10_4 -mdynamic-no-pic"
1.499 + LDFLAGS="$LDFLAGS -Wl,-headerpad_max_install_names"
1.500 +
1.501 +cat >>confdefs.h <<\_ACEOF
1.502 +#define HAVE_COCOA 1
1.503 +_ACEOF
1.504 +
1.505 +
1.506 +cat >>confdefs.h <<\_ACEOF
1.507 +#define APPLE_BUILD 1
1.508 +_ACEOF
1.509 +
1.510 + if test "x$with_gtk" = "xx11"; then
1.511 + with_gtk=no
1.512 + fi
1.513 +
1.514 +fi
1.515 +
1.516 +
1.517 +
1.518 +
1.519 +{ $as_echo "$as_me:$LINENO: checking OBJC version" >&5
1.520 +$as_echo_n "checking OBJC version... " >&6; }
1.521 +if test -n "$OBJC"; then
1.522 + _GOBJC_VERSION=`$OBJC --version | $SED -ne '/(GCC)/p'`
1.523 + if test -n "$_GOBJC_VERSION"; then
1.524 + { $as_echo "$as_me:$LINENO: result: GCC" >&5
1.525 +$as_echo "GCC" >&6; }
1.526 + OBJCOPT="-O2 -msse2 -mfpmath=sse"
1.527 + OBJCFLAGS="$OBJCFLAGS -fno-strict-aliasing"
1.528 + else
1.529 + { $as_echo "$as_me:$LINENO: result: Unknown" >&5
1.530 +$as_echo "Unknown" >&6; }
1.531 + OBJCOPT="-O2"
1.532 + fi
1.533 +else
1.534 + { $as_echo "$as_me:$LINENO: result: None" >&5
1.535 +$as_echo "None" >&6; }
1.536 +
1.537 +fi
1.538 +
1.539 +
1.540 +else
1.541 + $as_echo "$as_me: failed program was:" >&5
1.542 +sed 's/^/| /' conftest.$ac_ext >&5
1.543 +
1.544 + { $as_echo "$as_me:$LINENO: result: No" >&5
1.545 +$as_echo "No" >&6; }
1.546 +
1.547 +fi
1.548 +
1.549 +rm -f core conftest.err conftest.$ac_objext conftest.$ac_ext;
1.550 +ac_ext=c
1.551 +ac_cpp='$CPP $CPPFLAGS'
1.552 +ac_compile='$CC -c $CFLAGS $CPPFLAGS conftest.$ac_ext >&5'
1.553 +ac_link='$CC -o conftest$ac_exeext $CFLAGS $CPPFLAGS $LDFLAGS conftest.$ac_ext $LIBS >&5'
1.554 +ac_compiler_gnu=$ac_cv_c_compiler_gnu
1.555 +
1.556 +
1.557 +
1.558 +
1.559 +
1.560 +if test "$HAVE_COCOA" = 'yes' -a "$with_gtk" = "no"; then
1.561 + GUI_COCOA_TRUE=
1.562 + GUI_COCOA_FALSE='#'
1.563 +else
1.564 + GUI_COCOA_TRUE='#'
1.565 + GUI_COCOA_FALSE=
1.566 +fi
1.567 +
1.568 +if test "x$HAVE_COCOA" = 'xyes' -a "x$with_gtk" = "xno"; then
1.569 +
1.570 +cat >>confdefs.h <<\_ACEOF
1.571 +#define OSX_BUNDLE 1
1.572 +_ACEOF
1.573 +
1.574 +fi
1.575 +
1.576 CFLAGS="-g -fexceptions"
1.577 OBJCFLAGS="-g -fexceptions"
1.578
1.579 @@ -7243,27 +7785,6 @@
1.580 fi
1.581
1.582
1.583 -{ $as_echo "$as_me:$LINENO: checking OBJC version" >&5
1.584 -$as_echo_n "checking OBJC version... " >&6; }
1.585 -if test -n "$OBJC"; then
1.586 - _GOBJC_VERSION=`$OBJC --version | $SED -ne '/(GCC)/p'`
1.587 - if test -n "$_GOBJC_VERSION"; then
1.588 - { $as_echo "$as_me:$LINENO: result: GCC" >&5
1.589 -$as_echo "GCC" >&6; }
1.590 - OBJCOPT="-O2 -msse2 -mfpmath=sse"
1.591 - OBJCFLAGS="$OBJCFLAGS -fno-strict-aliasing"
1.592 - else
1.593 - { $as_echo "$as_me:$LINENO: result: Unknown" >&5
1.594 -$as_echo "Unknown" >&6; }
1.595 - OBJCOPT="-O2"
1.596 - fi
1.597 -else
1.598 - { $as_echo "$as_me:$LINENO: result: None" >&5
1.599 -$as_echo "None" >&6; }
1.600 -
1.601 -fi
1.602 -
1.603 -
1.604 if test "x$enable_optimized" = "xyes"; then
1.605 CFLAGS="$CFLAGS $CCOPT"
1.606 OBJCFLAGS="$OBJCFLAGS $OBJCOPT"
1.607 @@ -7452,423 +7973,6 @@
1.608
1.609
1.610
1.611 -ac_ext=m
1.612 -ac_cpp='$OBJCPP $CPPFLAGS'
1.613 -ac_compile='$OBJC -c $OBJCFLAGS $CPPFLAGS conftest.$ac_ext >&5'
1.614 -ac_link='$OBJC -o conftest$ac_exeext $OBJCFLAGS $CPPFLAGS $LDFLAGS conftest.$ac_ext $LIBS >&5'
1.615 -ac_compiler_gnu=$ac_cv_objc_compiler_gnu
1.616 -
1.617 -
1.618 -
1.619 -ac_ext=m
1.620 -ac_cpp='$OBJCPP $CPPFLAGS'
1.621 -ac_compile='$OBJC -c $OBJCFLAGS $CPPFLAGS conftest.$ac_ext >&5'
1.622 -ac_link='$OBJC -o conftest$ac_exeext $OBJCFLAGS $CPPFLAGS $LDFLAGS conftest.$ac_ext $LIBS >&5'
1.623 -ac_compiler_gnu=$ac_cv_objc_compiler_gnu
1.624 -{ $as_echo "$as_me:$LINENO: checking how to run the Objective C preprocessor" >&5
1.625 -$as_echo_n "checking how to run the Objective C preprocessor... " >&6; }
1.626 -if test -z "$OBJCPP"; then
1.627 - if test "${ac_cv_prog_OBJCPP+set}" = set; then
1.628 - $as_echo_n "(cached) " >&6
1.629 -else
1.630 - # Double quotes because OBJCPP needs to be expanded
1.631 - for OBJCPP in "$OBJC -E" "/lib/cpp"
1.632 - do
1.633 - ac_preproc_ok=false
1.634 -for ac_objc_preproc_warn_flag in '' yes
1.635 -do
1.636 - # Use a header file that comes with gcc, so configuring glibc
1.637 - # with a fresh cross-compiler works.
1.638 - # Prefer <limits.h> to <assert.h> if __STDC__ is defined, since
1.639 - # <limits.h> exists even on freestanding compilers.
1.640 - # On the NeXT, cc -E runs the code through the compiler's parser,
1.641 - # not just through cpp. "Syntax error" is here to catch this case.
1.642 - cat >conftest.$ac_ext <<_ACEOF
1.643 -/* confdefs.h. */
1.644 -_ACEOF
1.645 -cat confdefs.h >>conftest.$ac_ext
1.646 -cat >>conftest.$ac_ext <<_ACEOF
1.647 -/* end confdefs.h. */
1.648 -#ifdef __STDC__
1.649 -# include <limits.h>
1.650 -#else
1.651 -# include <assert.h>
1.652 -#endif
1.653 - Syntax error
1.654 -_ACEOF
1.655 -if { (ac_try="$ac_cpp conftest.$ac_ext"
1.656 -case "(($ac_try" in
1.657 - *\"* | *\`* | *\\*) ac_try_echo=\$ac_try;;
1.658 - *) ac_try_echo=$ac_try;;
1.659 -esac
1.660 -eval ac_try_echo="\"\$as_me:$LINENO: $ac_try_echo\""
1.661 -$as_echo "$ac_try_echo") >&5
1.662 - (eval "$ac_cpp conftest.$ac_ext") 2>conftest.er1
1.663 - ac_status=$?
1.664 - grep -v '^ *+' conftest.er1 >conftest.err
1.665 - rm -f conftest.er1
1.666 - cat conftest.err >&5
1.667 - $as_echo "$as_me:$LINENO: \$? = $ac_status" >&5
1.668 - (exit $ac_status); } >/dev/null && {
1.669 - test -z "$ac_objc_preproc_warn_flag$ac_objc_werror_flag" ||
1.670 - test ! -s conftest.err
1.671 - }; then
1.672 - :
1.673 -else
1.674 - $as_echo "$as_me: failed program was:" >&5
1.675 -sed 's/^/| /' conftest.$ac_ext >&5
1.676 -
1.677 - # Broken: fails on valid input.
1.678 -continue
1.679 -fi
1.680 -
1.681 -rm -f conftest.err conftest.$ac_ext
1.682 -
1.683 - # OK, works on sane cases. Now check whether nonexistent headers
1.684 - # can be detected and how.
1.685 - cat >conftest.$ac_ext <<_ACEOF
1.686 -/* confdefs.h. */
1.687 -_ACEOF
1.688 -cat confdefs.h >>conftest.$ac_ext
1.689 -cat >>conftest.$ac_ext <<_ACEOF
1.690 -/* end confdefs.h. */
1.691 -#include <ac_nonexistent.h>
1.692 -_ACEOF
1.693 -if { (ac_try="$ac_cpp conftest.$ac_ext"
1.694 -case "(($ac_try" in
1.695 - *\"* | *\`* | *\\*) ac_try_echo=\$ac_try;;
1.696 - *) ac_try_echo=$ac_try;;
1.697 -esac
1.698 -eval ac_try_echo="\"\$as_me:$LINENO: $ac_try_echo\""
1.699 -$as_echo "$ac_try_echo") >&5
1.700 - (eval "$ac_cpp conftest.$ac_ext") 2>conftest.er1
1.701 - ac_status=$?
1.702 - grep -v '^ *+' conftest.er1 >conftest.err
1.703 - rm -f conftest.er1
1.704 - cat conftest.err >&5
1.705 - $as_echo "$as_me:$LINENO: \$? = $ac_status" >&5
1.706 - (exit $ac_status); } >/dev/null && {
1.707 - test -z "$ac_objc_preproc_warn_flag$ac_objc_werror_flag" ||
1.708 - test ! -s conftest.err
1.709 - }; then
1.710 - # Broken: success on invalid input.
1.711 -continue
1.712 -else
1.713 - $as_echo "$as_me: failed program was:" >&5
1.714 -sed 's/^/| /' conftest.$ac_ext >&5
1.715 -
1.716 - # Passes both tests.
1.717 -ac_preproc_ok=:
1.718 -break
1.719 -fi
1.720 -
1.721 -rm -f conftest.err conftest.$ac_ext
1.722 -
1.723 -done
1.724 -# Because of `break', _AC_PREPROC_IFELSE's cleaning code was skipped.
1.725 -rm -f conftest.err conftest.$ac_ext
1.726 -if $ac_preproc_ok; then
1.727 - break
1.728 -fi
1.729 -
1.730 - done
1.731 - ac_cv_prog_OBJCPP=$OBJCPP
1.732 -
1.733 -fi
1.734 - OBJCPP=$ac_cv_prog_OBJCPP
1.735 -else
1.736 - ac_cv_prog_OBJCPP=$OBJCPP
1.737 -fi
1.738 -{ $as_echo "$as_me:$LINENO: result: $OBJCPP" >&5
1.739 -$as_echo "$OBJCPP" >&6; }
1.740 -ac_preproc_ok=false
1.741 -for ac_objc_preproc_warn_flag in '' yes
1.742 -do
1.743 - # Use a header file that comes with gcc, so configuring glibc
1.744 - # with a fresh cross-compiler works.
1.745 - # Prefer <limits.h> to <assert.h> if __STDC__ is defined, since
1.746 - # <limits.h> exists even on freestanding compilers.
1.747 - # On the NeXT, cc -E runs the code through the compiler's parser,
1.748 - # not just through cpp. "Syntax error" is here to catch this case.
1.749 - cat >conftest.$ac_ext <<_ACEOF
1.750 -/* confdefs.h. */
1.751 -_ACEOF
1.752 -cat confdefs.h >>conftest.$ac_ext
1.753 -cat >>conftest.$ac_ext <<_ACEOF
1.754 -/* end confdefs.h. */
1.755 -#ifdef __STDC__
1.756 -# include <limits.h>
1.757 -#else
1.758 -# include <assert.h>
1.759 -#endif
1.760 - Syntax error
1.761 -_ACEOF
1.762 -if { (ac_try="$ac_cpp conftest.$ac_ext"
1.763 -case "(($ac_try" in
1.764 - *\"* | *\`* | *\\*) ac_try_echo=\$ac_try;;
1.765 - *) ac_try_echo=$ac_try;;
1.766 -esac
1.767 -eval ac_try_echo="\"\$as_me:$LINENO: $ac_try_echo\""
1.768 -$as_echo "$ac_try_echo") >&5
1.769 - (eval "$ac_cpp conftest.$ac_ext") 2>conftest.er1
1.770 - ac_status=$?
1.771 - grep -v '^ *+' conftest.er1 >conftest.err
1.772 - rm -f conftest.er1
1.773 - cat conftest.err >&5
1.774 - $as_echo "$as_me:$LINENO: \$? = $ac_status" >&5
1.775 - (exit $ac_status); } >/dev/null && {
1.776 - test -z "$ac_objc_preproc_warn_flag$ac_objc_werror_flag" ||
1.777 - test ! -s conftest.err
1.778 - }; then
1.779 - :
1.780 -else
1.781 - $as_echo "$as_me: failed program was:" >&5
1.782 -sed 's/^/| /' conftest.$ac_ext >&5
1.783 -
1.784 - # Broken: fails on valid input.
1.785 -continue
1.786 -fi
1.787 -
1.788 -rm -f conftest.err conftest.$ac_ext
1.789 -
1.790 - # OK, works on sane cases. Now check whether nonexistent headers
1.791 - # can be detected and how.
1.792 - cat >conftest.$ac_ext <<_ACEOF
1.793 -/* confdefs.h. */
1.794 -_ACEOF
1.795 -cat confdefs.h >>conftest.$ac_ext
1.796 -cat >>conftest.$ac_ext <<_ACEOF
1.797 -/* end confdefs.h. */
1.798 -#include <ac_nonexistent.h>
1.799 -_ACEOF
1.800 -if { (ac_try="$ac_cpp conftest.$ac_ext"
1.801 -case "(($ac_try" in
1.802 - *\"* | *\`* | *\\*) ac_try_echo=\$ac_try;;
1.803 - *) ac_try_echo=$ac_try;;
1.804 -esac
1.805 -eval ac_try_echo="\"\$as_me:$LINENO: $ac_try_echo\""
1.806 -$as_echo "$ac_try_echo") >&5
1.807 - (eval "$ac_cpp conftest.$ac_ext") 2>conftest.er1
1.808 - ac_status=$?
1.809 - grep -v '^ *+' conftest.er1 >conftest.err
1.810 - rm -f conftest.er1
1.811 - cat conftest.err >&5
1.812 - $as_echo "$as_me:$LINENO: \$? = $ac_status" >&5
1.813 - (exit $ac_status); } >/dev/null && {
1.814 - test -z "$ac_objc_preproc_warn_flag$ac_objc_werror_flag" ||
1.815 - test ! -s conftest.err
1.816 - }; then
1.817 - # Broken: success on invalid input.
1.818 -continue
1.819 -else
1.820 - $as_echo "$as_me: failed program was:" >&5
1.821 -sed 's/^/| /' conftest.$ac_ext >&5
1.822 -
1.823 - # Passes both tests.
1.824 -ac_preproc_ok=:
1.825 -break
1.826 -fi
1.827 -
1.828 -rm -f conftest.err conftest.$ac_ext
1.829 -
1.830 -done
1.831 -# Because of `break', _AC_PREPROC_IFELSE's cleaning code was skipped.
1.832 -rm -f conftest.err conftest.$ac_ext
1.833 -if $ac_preproc_ok; then
1.834 - :
1.835 -else
1.836 - { { $as_echo "$as_me:$LINENO: error: Objective C preprocessor \"$OBJCPP\" fails sanity check
1.837 -See \`config.log' for more details." >&5
1.838 -$as_echo "$as_me: error: Objective C preprocessor \"$OBJCPP\" fails sanity check
1.839 -See \`config.log' for more details." >&2;}
1.840 - { (exit 1); exit 1; }; }
1.841 -fi
1.842 -
1.843 -ac_ext=m
1.844 -ac_cpp='$OBJCPP $CPPFLAGS'
1.845 -ac_compile='$OBJC -c $OBJCFLAGS $CPPFLAGS conftest.$ac_ext >&5'
1.846 -ac_link='$OBJC -o conftest$ac_exeext $OBJCFLAGS $CPPFLAGS $LDFLAGS conftest.$ac_ext $LIBS >&5'
1.847 -ac_compiler_gnu=$ac_cv_objc_compiler_gnu
1.848 -
1.849 -
1.850 -if test "${ac_cv_header_Cocoa_Cocoa_h+set}" = set; then
1.851 - { $as_echo "$as_me:$LINENO: checking for Cocoa/Cocoa.h" >&5
1.852 -$as_echo_n "checking for Cocoa/Cocoa.h... " >&6; }
1.853 -if test "${ac_cv_header_Cocoa_Cocoa_h+set}" = set; then
1.854 - $as_echo_n "(cached) " >&6
1.855 -fi
1.856 -{ $as_echo "$as_me:$LINENO: result: $ac_cv_header_Cocoa_Cocoa_h" >&5
1.857 -$as_echo "$ac_cv_header_Cocoa_Cocoa_h" >&6; }
1.858 -else
1.859 - # Is the header compilable?
1.860 -{ $as_echo "$as_me:$LINENO: checking Cocoa/Cocoa.h usability" >&5
1.861 -$as_echo_n "checking Cocoa/Cocoa.h usability... " >&6; }
1.862 -cat >conftest.$ac_ext <<_ACEOF
1.863 -/* confdefs.h. */
1.864 -_ACEOF
1.865 -cat confdefs.h >>conftest.$ac_ext
1.866 -cat >>conftest.$ac_ext <<_ACEOF
1.867 -/* end confdefs.h. */
1.868 -$ac_includes_default
1.869 -#include <Cocoa/Cocoa.h>
1.870 -_ACEOF
1.871 -rm -f conftest.$ac_objext
1.872 -if { (ac_try="$ac_compile"
1.873 -case "(($ac_try" in
1.874 - *\"* | *\`* | *\\*) ac_try_echo=\$ac_try;;
1.875 - *) ac_try_echo=$ac_try;;
1.876 -esac
1.877 -eval ac_try_echo="\"\$as_me:$LINENO: $ac_try_echo\""
1.878 -$as_echo "$ac_try_echo") >&5
1.879 - (eval "$ac_compile") 2>conftest.er1
1.880 - ac_status=$?
1.881 - grep -v '^ *+' conftest.er1 >conftest.err
1.882 - rm -f conftest.er1
1.883 - cat conftest.err >&5
1.884 - $as_echo "$as_me:$LINENO: \$? = $ac_status" >&5
1.885 - (exit $ac_status); } && {
1.886 - test -z "$ac_objc_werror_flag" ||
1.887 - test ! -s conftest.err
1.888 - } && test -s conftest.$ac_objext; then
1.889 - ac_header_compiler=yes
1.890 -else
1.891 - $as_echo "$as_me: failed program was:" >&5
1.892 -sed 's/^/| /' conftest.$ac_ext >&5
1.893 -
1.894 - ac_header_compiler=no
1.895 -fi
1.896 -
1.897 -rm -f core conftest.err conftest.$ac_objext conftest.$ac_ext
1.898 -{ $as_echo "$as_me:$LINENO: result: $ac_header_compiler" >&5
1.899 -$as_echo "$ac_header_compiler" >&6; }
1.900 -
1.901 -# Is the header present?
1.902 -{ $as_echo "$as_me:$LINENO: checking Cocoa/Cocoa.h presence" >&5
1.903 -$as_echo_n "checking Cocoa/Cocoa.h presence... " >&6; }
1.904 -cat >conftest.$ac_ext <<_ACEOF
1.905 -/* confdefs.h. */
1.906 -_ACEOF
1.907 -cat confdefs.h >>conftest.$ac_ext
1.908 -cat >>conftest.$ac_ext <<_ACEOF
1.909 -/* end confdefs.h. */
1.910 -#include <Cocoa/Cocoa.h>
1.911 -_ACEOF
1.912 -if { (ac_try="$ac_cpp conftest.$ac_ext"
1.913 -case "(($ac_try" in
1.914 - *\"* | *\`* | *\\*) ac_try_echo=\$ac_try;;
1.915 - *) ac_try_echo=$ac_try;;
1.916 -esac
1.917 -eval ac_try_echo="\"\$as_me:$LINENO: $ac_try_echo\""
1.918 -$as_echo "$ac_try_echo") >&5
1.919 - (eval "$ac_cpp conftest.$ac_ext") 2>conftest.er1
1.920 - ac_status=$?
1.921 - grep -v '^ *+' conftest.er1 >conftest.err
1.922 - rm -f conftest.er1
1.923 - cat conftest.err >&5
1.924 - $as_echo "$as_me:$LINENO: \$? = $ac_status" >&5
1.925 - (exit $ac_status); } >/dev/null && {
1.926 - test -z "$ac_objc_preproc_warn_flag$ac_objc_werror_flag" ||
1.927 - test ! -s conftest.err
1.928 - }; then
1.929 - ac_header_preproc=yes
1.930 -else
1.931 - $as_echo "$as_me: failed program was:" >&5
1.932 -sed 's/^/| /' conftest.$ac_ext >&5
1.933 -
1.934 - ac_header_preproc=no
1.935 -fi
1.936 -
1.937 -rm -f conftest.err conftest.$ac_ext
1.938 -{ $as_echo "$as_me:$LINENO: result: $ac_header_preproc" >&5
1.939 -$as_echo "$ac_header_preproc" >&6; }
1.940 -
1.941 -# So? What about this header?
1.942 -case $ac_header_compiler:$ac_header_preproc:$ac_objc_preproc_warn_flag in
1.943 - yes:no: )
1.944 - { $as_echo "$as_me:$LINENO: WARNING: Cocoa/Cocoa.h: accepted by the compiler, rejected by the preprocessor!" >&5
1.945 -$as_echo "$as_me: WARNING: Cocoa/Cocoa.h: accepted by the compiler, rejected by the preprocessor!" >&2;}
1.946 - { $as_echo "$as_me:$LINENO: WARNING: Cocoa/Cocoa.h: proceeding with the compiler's result" >&5
1.947 -$as_echo "$as_me: WARNING: Cocoa/Cocoa.h: proceeding with the compiler's result" >&2;}
1.948 - ac_header_preproc=yes
1.949 - ;;
1.950 - no:yes:* )
1.951 - { $as_echo "$as_me:$LINENO: WARNING: Cocoa/Cocoa.h: present but cannot be compiled" >&5
1.952 -$as_echo "$as_me: WARNING: Cocoa/Cocoa.h: present but cannot be compiled" >&2;}
1.953 - { $as_echo "$as_me:$LINENO: WARNING: Cocoa/Cocoa.h: check for missing prerequisite headers?" >&5
1.954 -$as_echo "$as_me: WARNING: Cocoa/Cocoa.h: check for missing prerequisite headers?" >&2;}
1.955 - { $as_echo "$as_me:$LINENO: WARNING: Cocoa/Cocoa.h: see the Autoconf documentation" >&5
1.956 -$as_echo "$as_me: WARNING: Cocoa/Cocoa.h: see the Autoconf documentation" >&2;}
1.957 - { $as_echo "$as_me:$LINENO: WARNING: Cocoa/Cocoa.h: section \"Present But Cannot Be Compiled\"" >&5
1.958 -$as_echo "$as_me: WARNING: Cocoa/Cocoa.h: section \"Present But Cannot Be Compiled\"" >&2;}
1.959 - { $as_echo "$as_me:$LINENO: WARNING: Cocoa/Cocoa.h: proceeding with the preprocessor's result" >&5
1.960 -$as_echo "$as_me: WARNING: Cocoa/Cocoa.h: proceeding with the preprocessor's result" >&2;}
1.961 - { $as_echo "$as_me:$LINENO: WARNING: Cocoa/Cocoa.h: in the future, the compiler will take precedence" >&5
1.962 -$as_echo "$as_me: WARNING: Cocoa/Cocoa.h: in the future, the compiler will take precedence" >&2;}
1.963 -
1.964 - ;;
1.965 -esac
1.966 -{ $as_echo "$as_me:$LINENO: checking for Cocoa/Cocoa.h" >&5
1.967 -$as_echo_n "checking for Cocoa/Cocoa.h... " >&6; }
1.968 -if test "${ac_cv_header_Cocoa_Cocoa_h+set}" = set; then
1.969 - $as_echo_n "(cached) " >&6
1.970 -else
1.971 - ac_cv_header_Cocoa_Cocoa_h=$ac_header_preproc
1.972 -fi
1.973 -{ $as_echo "$as_me:$LINENO: result: $ac_cv_header_Cocoa_Cocoa_h" >&5
1.974 -$as_echo "$ac_cv_header_Cocoa_Cocoa_h" >&6; }
1.975 -
1.976 -fi
1.977 -if test $ac_cv_header_Cocoa_Cocoa_h = yes; then
1.978 -
1.979 - HAVE_COCOA='yes'
1.980 - APPLE_BUILD='yes'
1.981 - LIBS="$LIBS -framework AppKit"
1.982 - LIBS="$LIBS -Wl,-dylib_file,/System/Library/Frameworks/OpenGL.framework/Versions/A/Libraries/libGL.dylib:/System/Library/Frameworks/OpenGL.framework/Versions/A/Libraries/libGL.dylib -framework OpenGL"
1.983 - CPPFLAGS="$CPPFLAGS -DMAC_OS_X_VERSION_MIN_REQUIRED=MAC_OS_X_VERSION_10_4 -mdynamic-no-pic"
1.984 - LDFLAGS="$LDFLAGS -Wl,-headerpad_max_install_names"
1.985 -
1.986 -cat >>confdefs.h <<\_ACEOF
1.987 -#define HAVE_COCOA 1
1.988 -_ACEOF
1.989 -
1.990 -
1.991 -cat >>confdefs.h <<\_ACEOF
1.992 -#define APPLE_BUILD 1
1.993 -_ACEOF
1.994 -
1.995 - if test "x$with_gtk" = "xx11"; then
1.996 - with_gtk=no
1.997 - fi
1.998 -
1.999 -fi
1.1000 -
1.1001 -
1.1002 -
1.1003 -
1.1004 -
1.1005 -if test "$HAVE_COCOA" = 'yes' -a "$with_gtk" = "no"; then
1.1006 - GUI_COCOA_TRUE=
1.1007 - GUI_COCOA_FALSE='#'
1.1008 -else
1.1009 - GUI_COCOA_TRUE='#'
1.1010 - GUI_COCOA_FALSE=
1.1011 -fi
1.1012 -
1.1013 -if test "x$HAVE_COCOA" = 'xyes' -a "x$with_gtk" = "xno"; then
1.1014 -
1.1015 -cat >>confdefs.h <<\_ACEOF
1.1016 -#define OSX_BUNDLE 1
1.1017 -_ACEOF
1.1018 -
1.1019 -fi
1.1020 -
1.1021 -ac_ext=c
1.1022 -ac_cpp='$CPP $CPPFLAGS'
1.1023 -ac_compile='$CC -c $CFLAGS $CPPFLAGS conftest.$ac_ext >&5'
1.1024 -ac_link='$CC -o conftest$ac_exeext $CFLAGS $CPPFLAGS $LDFLAGS conftest.$ac_ext $LIBS >&5'
1.1025 -ac_compiler_gnu=$ac_cv_c_compiler_gnu
1.1026 -
1.1027 -
1.1028
1.1029
1.1030 if test "x$ac_cv_env_PKG_CONFIG_set" != "xset"; then
.